[PACKAGE]: ../../raw/master/mkp/checkpoint_mgmt-0.3.0-20230529.mkp "checkpoint_mgmt-0.3.0-20230529.mkp"
# Check Point Management server

Monitors status of Check Point Management server

---
### Check Info

* *service*: this check will create the service *Management server*

* *state*:

    **critical**
    * if *fwmisalive* is not *1*, service not alive
    * if *statcode* is not *0*, error description from *statlongdescr*
    
    **warning**
    * if on license violation, error code from *licenseviolationmsg*
    * mode not *active*
    
* *wato*: [(see WATO options)](/../../../-/raw/master//doc/wato.png "see WATO options")

* *perfdata*: none

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](img/sample.png?raw=true "sample output")

WATO options

![sample output](img/wato.png?raw=true "WATO options")
